%define name grisbi
%define version 0.5.1
%define release 3mdk
%define iconname %{name}.png

%define GRISBI_HELP_DIR %{_datadir}/gnome/help/grisbi

Summary: Personnal finances manager
Name: %name
Version: %version
Release: %release
License: GPL
Url: http://www.grisbi.org
Source: http://switch.dl.sourceforge.net/sourceforge/grisbi/%{name}-%{version}.tar.bz2
Source1: grisbi-icons.tar.bz2
Group: Office
BuildRoot: %_tmppath/%{name}-buildroot
BuildRequires: autoconf >= 2.13, automake >= 1.4-p5
Buildrequires:  gnome-libs-devel
Buildrequires: libgdk_pixbuf2.0-devel
Buildrequires: libgnomeprint-devel
BuildRequires: ImageMagick
BuildRequires: gtk2-devel

%description
Grisbi helps you to manage your personnal finances with Linux.

%prep


%setup -q
tar xjf %{SOURCE1}

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
mv $RPM_BUILD_ROOT%{_datadir}/doc/grisbi/help/fr/grisbi-manuel.html $RPM_BUILD_ROOT%{_datadir}/doc/grisbi/help/fr/grisbi-manuel.bin.html


# Icons and menu
mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
convert grisbi.png -geometry 48x48 %{buildroot}%{_liconsdir}/%{iconname}
convert grisbi.png -geometry 32x32 %{buildroot}%{_iconsdir}/%{iconname}
convert grisbi.png -geometry 16x16 %{buildroot}%{_miconsdir}/%{iconname}

(cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{name}"\
needs="x11" \
icon="%{iconname}"\
section="More Applications/Finances"\
title="Grisbi"\
icon="office_section.png"\
longtitle="Personnal Finances Manager"
EOF
)

%find_lang %name

%post
%{update_menus}
if [ -h %{_datadir}/doc/grisbi/help/fr/grisbi-manuel.html ]
then
        rm -f %{_datadir}/doc/grisbi/help/fr/grisbi-manuel.html
fi
# Test if the french doc is installed
if [ -f %{_datadir}/doc/grisbi/help/fr/grisbi-manuel.doc.html ]
then    
        ln -s %{_datadir}/doc/grisbi/help/fr/grisbi-manuel.doc.html %{_datadir}/doc/grisbi/help/fr/grisbi-manuel.html
else    
        ln -s %{_datadir}/doc/grisbi/help/fr/grisbi-manuel.bin.html %{_datadir}/doc/grisbi/help/fr/grisbi-manuel.html
fi

%preun
if [ -h %{_datadir}/doc/grisbi/help/fr/grisbi-manuel.html ]
then    
        rm -f %{_datadir}/doc/grisbi/help/fr/grisbi-manuel.html
fi
case "$1" in
        "1" )
        # This is an upgrade, test if the french doc is installed
        if [ -f %{_datadir}/doc/grisbi/help/fr/grisbi-manuel.doc.html ]
        then    
                ln -s %{_datadir}/doc/grisbi/help/fr/grisbi-manuel.doc.html %{_datadir}/doc/grisbi/help/fr/grisbi-manuel.html
        else    
                ln -s %{_datadir}/doc/grisbi/help/fr/grisbi-manuel.bin.html %{_datadir}/doc/grisbi/help/fr/grisbi-manuel.html
        fi
        ;;
        
        "0" )
        # This is an erase, french doc should not be installed but test
        if [ -f %{_datadir}/doc/grisbi/help/fr/grisbi-manuel.doc.html ]
        then    
                ln -s %{_datadir}/doc/grisbi/help/fr/grisbi-manuel.doc.html %{_datadir}/doc/grisbi/fr/grisbi-manuel.html
        fi
        ;;
        
        * )
        # Should never appear
        echo "There is a big problem on argument passed to RPM postun script from %{name}-%{version}-%{release}"
        ;;
esac


%postun
%{clean_menus}

%clean


%files -f %name.lang
%defattr(-,root,root,0755)
%doc ABOUT-NLS AUTHORS COPYING INSTALL NEWS README
%{_bindir}/*

%{_datadir}/doc/grisbi/help/fr/*
%{_datadir}/doc/grisbi/help/C/
%{_datadir}/pixmaps/*
%_mandir/man1/*
%_iconsdir/*.png
%_datadir/mime-info/*
%{_menudir}/%{name}
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname}

%changelog
* Sun Aug 29 2004 Jerome Soyer <saispo@mandrake.org> 0.5.1-3mdk
- fix buildrequires

* Sat Aug 21 2004 Jerome Soyer <saispo@mandrake.org> 0.5.1-2mdk
- fix menu entry

* Wed Aug 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-1mdk
- 0.5.1

* Mon Jul 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-1mdk
- from neoclust <n1c0l4s.l3@wanadoo.fr> : 
	- 0.5.0

* Fri Apr 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.4.5-1mdk
- 0.4.5
- merge with original grisbi spec

* Sun Jan 4 2004 Charles A Edwards <eslrahc@mandrake.org 0.4.3-1mdk
- 0.4.3

* Fri Dec 26 2003 Charles A Edwards <eslrahc@mandrake.org 0.4.2-1mdk
- 0.4.2
- drop icon sources and use ImageMagick
- buildrequires
- makeinstall_std

* Thu Jul 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.1-1mdk
- 0.4.1

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-2mdk
- buildrequires

* Mon Feb 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-1mdk
- 0.4.0

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-5mdk
- rebuild

* Mon Nov 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-4mdk
- rebuild

* Mon Oct 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-3mdk
- from Gerald Niel <gerald.niel@gegeweb.net> :
	- References to applet removed (for mdk 9.0)

* Sat Oct 5 2002 Gerald Niel <gerald.niel@gegeweb.net> 0.3.3-2gsb
  - Build against 0.3.3 CVS Sat Oct 5 2002
  - Requires dependencies removed
  - BuildRequires dependencies removed
  - New icons added

* Sat Sep 21 2002 Gerald Niel <gerald.niel@gegeweb.net> 0.3.3-1gsb
  - Build against 0.3.3 CVS Sat Sep 21 2002
  - Distribution Added

* Thu Sep 19 2002 Gerald Niel <gerald.niel@gegeweb.net> 0.3.2-5mdk
  - Build against 0.3.2-corr CVS Sun Sep 19 2002
  - Vendor and Packager Added

* Sun Sep 15 2002 Gerald Niel <gerald.niel@gegeweb.net> 0.3.2-4mdk
  - Build against 0.3.2-corr CVS Sun Sep 15 2002
  - Removed build macro
  - Requires dependencies Updated

* Sun Sep 08 2002 Gerald Niel <gerald.niel@gegeweb.net> 0.3.2-3mdk
  - Added build macro
  - Use automake and autoconf
  - Updated Group to Applications/Finances
  - Updated Requires dependencies

* Sat Sep 07 2002 Gerald Niel <gerald.niel@gegeweb.net> 0.3.2-2mdk
  - Added BuildRequires dependencies (Blaise Tramier)
  - Added Requires dependencies
  
* Wed Aug 21 2002 Gerald Niel <gerald.niel@gegeweb.net> 0.3.2-1mdk
  - Build against 0.3.2
  - Patch Makefile removed 
  
* Tue Jan 08 2002 Blaise Tramier <meles@linux-mandrake.com> 0.3.1-2mdk
  - Added menus entries.
  - Added icons.
  - Spec code cleaning (tryied at last).

* Sun Jan 06 2002 Blaise Tramier <meles@linux-mandrake.com> 0.3.1-1mdk
  - First Mandrake rpm.
  - Makefile patch.
